
CREATE EXTENSION IF NOT EXISTS pgcrypto;
CREATE TABLE "public"."jobs"("id" uuid NOT NULL DEFAULT gen_random_uuid(), "bodyshopid" uuid NOT NULL, "created_at" timestamptz NOT NULL DEFAULT now(), "updated_at" timestamptz NOT NULL DEFAULT now(), "ro_number" text, "ins_co_nm" text, "clm_no" text, "clm_total" numeric, "ownr_ln" text, "ownr_fn" text, "v_vin" text, "v_make_desc" text, "v_model_desc" text, "v_model_yr" text, "v_type" text, PRIMARY KEY ("id") , FOREIGN KEY ("bodyshopid") REFERENCES "public"."bodyshops"("id") ON UPDATE cascade ON DELETE cascade);
CREATE OR REPLACE FUNCTION "public"."set_current_timestamp_updated_at"()
RETURNS TRIGGER AS $$
DECLARE
  _new record;
BEGIN
  _new := NEW;
  _new."updated_at" = NOW();
  RETURN _new;
END;
$$ LANGUAGE plpgsql;
CREATE TRIGGER "set_public_jobs_updated_at"
BEFORE UPDATE ON "public"."jobs"
FOR EACH ROW
EXECUTE PROCEDURE "public"."set_current_timestamp_updated_at"();
COMMENT ON TRIGGER "set_public_jobs_updated_at" ON "public"."jobs" 
IS 'trigger to set value of column "updated_at" to current timestamp on row update';